Demo Integration
================

.. seo::
    :description: Instructions for setting up the demo integration in ESPHome
    :image: description.svg

The ``demo`` integration can be used for testing to generate sample instances of many
different integrations (sensors, lights, ...)

.. figure:: images/demo-ui.png
    :align: center
    :width: 70.0%

.. code-block:: yaml

    # Example configuration entry
    demo:

Configuration variables:
------------------------

This integration has no configuration variables

See Also
--------

- :apiref:`demo/demo_sensor.h`
- :ghedit:`Edit`
